# This is the dumper program for host R99. Each of these is slightly different 
# based on the /etc/hosts file.
/usr/sbin/tcpdump -i $1 -lnq ip src host not loghost and not localhost and not r991 and not r992 and not r993 and not 192.168.13.1 2>/dev/null | \
gawk -v threshold=$2 -v interface=$1 ' 
{
        split($3, ip, ".")
        x=sprintf("%d.%d.%d.%d", ip[1], ip[2], ip[3], ip[4])
        source[x,interface] += 1
}
END {
        for (name in source) {
		if (source[name] >= threshold) {
			split(name, ar, SUBSEP);
			printf("%s %s %s\n", ar[1], ar[2], source[name])
		}
	}
} '
