tcpdump -i $1 -lnq ip src host not loghost 2>/dev/null | \
nawk -v threshold=$2 -v interface=$1 ' 
{
        split($3, ip, ".")
        x=sprintf("%d.%d.%d.%d", ip[1], ip[2], ip[3], ip[4])
        source[x,interface] += 1
}
END {
        for (name in source) {
		if (source[name] >= threshold)
			print name, source[name] 
	}
} '
