#include <stdio.h>
#include <strings.h>

void
main()
{
	/*
	 * get notice from snort to do tracing. If found that
	 * we get >= x number of packets over time t, we notify
	 * upstream router to start limiting the packets from this
	 * source.
	 */

	FILE 	*fp;
	FILE 	*fp1;
	char 	buf[BUFSIZ];
	char 	buf1[BUFSIZ];
	char 	*cmd = "sh tcpdump.sh 15 1";
	char	cmd1[1024];
	size_t	len;
	socklen_t socklen = sizeof (struct sockaddr_un);
	struct	sockaddr_un	traceaddr;
	int	tracefd;

	if (tracefd = socket(AF_UNIX, SOCK_DGRAM, 0)) < 0) {
		perror("trace socket");
		exit (1);
	}
	bzero (&traceaddr, sizeof (traceaddr));
	traceaddr.sun_family = AF_UNIX;

	/*
	 * Open trace listening socket and wait for incoming 
	 * requests.
	 */

	if ((fp = popen(cmd, "r")) != NULL)
		while (fgets(buf, BUFSIZ, fp) != NULL) {
			printf("For source addr %s router is\n", buf);
			/*
			 * Get the router for this source addr.
			 */
			len = strcspn(buf, " ");
			memset(cmd1, 0, sizeof (cmd1));
			strcat(cmd1, " sh stater.sh ");
			strncat(cmd1, buf, len);
			if ((fp1 = popen(cmd1, "r")) != NULL) {
				while (fgets(buf1, BUFSIZ, fp1) != NULL)
					(void) printf("%s\n", buf1);
			}
			(void) pclose(fp1);
		}
		(void) pclose(fp);
}
