/*
 * Sarah Jelinek
 * University of Colorado, Colorado Springs
 * Computer Science Masters Project.
 * 6/17/03
 * Copyright 2003
 */
/*
#include <stdint.h> */
#include <sys/types.h>

#define IDIP_APP_PORT	0xc1df
#define IDIP_RTLIMIT_PORT 6779

/*
 * Socket for communication. Must be connected to send messages.
 * This socket is opened on the firewall for receiving messages
 * from other hosts.
 */
int	gen_mbx;
/*
 * This is the socket we use to fill in data about the target we are
 * sending messages to. 
 */
struct  sockaddr_in	gen_from;

/*
 * Used to maintain the data about the dc's and neighbors
 */
struct dc_list *dcl;
struct nh_list *nhl;
struct ack_list *ackl;

struct dc_data {
	uint32_t ip_addr;
	uint32_t proxy_addr;
};

struct nh_data {
	int	active;
	uint32_t ip_addr;
	uint32_t type;
};

struct ack_data {
	uint32_t node;
	int	 num_outstanding;
};

struct dc_list {
	struct dc_data dc;
	struct dc_list *next;
};

struct nh_list {
	struct nh_data nh;
	struct nh_list *next;
};
struct ack_list {
	struct ack_data ah;
	struct ack_list *next;
};
