#
# Copyright 2004 Sarah Jelinek.  All rights reserved.
# Use is subject to license terms.
#
#

PROG= idip_firewall_receiver
PROG1 = snd
SRCS= idip_firewall_receiver.c 
SRCS1= snd.c ../../idip_common/message.c

INCS += -I../../idip_include/ -I../a2d2-2ids/snort_current


LDLIBS += -ladm -lgen -ldl -lsocket -lnsl


CFLAGS += -v -mt $(INCS)
CFLAGS64 += -v -mt $(INCS)
CPPFLAGS += -D_LARGEFILE64_SOURCE=1

LINTFLAGS += $(INCS)
LINTFLAGS64 += $(INCS)

.KEEP_STATE:

all: $(PROG)
all1: $(PROG1)

$(PROG): $(SRCS)
	$(LINK.c) -I $(INCS) -o $(PROG) $(SRCS) $(LDLIBS)
	$(POST_PROCESS)

$(PROG1): $(SRCS1)
	$(LINK.c) -I $(INCS) -o $(PROG1) $(SRCS1) $(LDLIBS)
	$(POST_PROCESS)

clean:
	$(RM) $(PROG)

lint:	lint_SRCS

#include ./Makefile.targ
