/*
 * Sarah Jelinek
 * University of Colorado, Colorado Springs
 * Computer Science Masters Project.
 * 2/10/2004 
 * Copyright 2004
 */

#include <sys/types.h>

/*
 * Used to maintain the data about the dc's and neighbors
 */
static struct dc_list   *dcl = NULL;
static struct nh_list *nhl = NULL;

struct dc_data {
	uint32_t ip_addr;
	uint32_t proxy_addr;
};

struct nh_data {
	int	active;
	uint32_t ip_addr;
	uint32_t type;
};

struct dc_list {
	struct dc_data dc;
	struct dc_list *next;
};

struct nh_list {
	struct nh_data nh;
	struct nh_list *next;
};
